if {[file isdirectory work]} { vdel -all -lib work }

vlib work
vmap work work

vcom -work work -93 -explicit double_PSL3.vhd

vsim -assertdebug double_PSL3
view assertions
view fcovers
add wave *
add wave ack_after_req
add wave no_overlapping_req

# first step
force clk 0, 1 50ns -rep 100ns
force data 1
force req 0
force reset 0, 1 100ns
run 300ns

# req in the correct place
force data 3
force req 1, 0 100ns
run 500ns

# unaccounted reset
force data 5
force req 1, 0 100ns
run 300ns
force reset 0, 1 100ns
run 300ns
force data 2
force req 1, 0 100ns
run 400ns 

 


