if {[file isdirectory work]} { vdel -all -lib work }

vlib work
vmap work work

vcom -work work -93 -explicit double.vhd

vsim double
add wave reset
add wave clk
add wave data
add wave req
add wave ack
add wave q

# first step
force clk 0, 1 50ns -rep 100ns
force data 1
force req 0
force reset 0, 1 100ns
run 300ns
	
# req in the correct place
force data 3
force req 1, 0 100ns
run 500ns

# unexpected overlapping request
force data 5
force req 1, 0 100ns
run 300ns
force req 1, 0 100ns
run 900ns
